package md

var AccountSettleState = []SelectData{
	{Name: "日结", Value: "1"},
	{Name: "周结", Value: "2"},
	{Name: "月结", Value: "3"},
	{Name: "预付", Value: "4"},
}
var BusinessKind = []SelectData{
	{Name: "广告合作", Value: "1"},
}
var InvoiceCate = []SelectData{
	{Name: "电子发票", Value: "0"},
	{Name: "纸质发票", Value: "1"},
}
var SettlePayState = []SelectData{
	{Name: "未开始", Value: "0"},
	{Name: "待审核发票", Value: "1"},
	{Name: "发票审核中", Value: "2"},
	{Name: "发票审核拒绝", Value: "3"},
	{Name: "付款中", Value: "4"},
	{Name: "已付款", Value: "5"},
}
var SettleState = []SelectData{
	{Name: "未开始", Value: "0"},
	{Name: "核算中", Value: "1"},
	{Name: "待签订", Value: "2"},
	{Name: "完成签订", Value: "3"},
}
var InvoiceState = []SelectData{
	{Name: "待审核", Value: "0"},
	{Name: "审核通过", Value: "1"},
	{Name: "审核拒绝", Value: "2"},
}

type SettleCenterDataReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	StartTime string `json:"start_time" example:"2024-08-29"`
	EndTime   string `json:"end_time" `
}
type SettleCenterDataRes struct {
	List           []SettleCenterDataData `json:"list"  `
	Total          int64                  `json:"total"`
	BusinessKind   []SelectData           `json:"business_kind"`
	SettlePayState []SelectData           `json:"settle_pay_state"`
	SettleState    []SelectData           `json:"settle_state"`
	SettleType     []SelectData           `json:"settle_type"`
}

type SettleCenterDataData struct {
	Id           string `json:"id"`
	TimeStr      string `json:"time_str" example:"业务时间"`
	BusinessKind string `json:"business_kind" example:"业务类型(1:广告合作)"`
	SettleType   string `json:"settle_type" example:"结算单类型(1:日结 2:周结 3:月结 4:预付)"`
	AllIncome    string `json:"all_income" example:"合计收益"`
	Income       string `json:"income" example:"基础收益"`
	OtherIncome  string `json:"other_income" example:"其他调整"`
	PayState     string `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State        string `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
	Label        string `json:"label"`
	SettleFile   string `json:"settle_file" example:"结算单"`
}
type SettleCenterMediumDataRes struct {
	List           []SettleCenterMediumDataData `json:"list"  `
	Total          int64                        `json:"total"`
	BusinessKind   []SelectData                 `json:"business_kind"`
	SettlePayState []SelectData                 `json:"settle_pay_state"`
	SettleState    []SelectData                 `json:"settle_state"`
	SettleType     []SelectData                 `json:"settle_type"`
}
type SettleCenterMediumDataData struct {
	Id           string `json:"id"`
	Name         string `json:"name" example:"媒体名称"`
	TimeStr      string `json:"time_str" example:"业务时间"`
	BusinessKind string `json:"business_kind" example:"业务类型(1:广告合作)"`
	SettleType   string `json:"settle_type" example:"结算单类型(1:日结 2:周结 3:月结 4:预付)"`
	AllIncome    string `json:"all_income" example:"合计收益"`
	Income       string `json:"income" example:"基础收益"`
	OtherIncome  string `json:"other_income" example:"其他调整"`
	PayState     string `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State        string `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
	Label        string `json:"label"`
}
type SettleCenterDataDetailRes struct {
	Data           SettleCenterDataDetail `json:"data"  `
	BusinessKind   []SelectData           `json:"business_kind"`
	SettlePayState []SelectData           `json:"settle_pay_state"`
	InvoiceState   []SelectData           `json:"invoice_state"`
	SettleState    []SelectData           `json:"settle_state"`
	SettleType     []SelectData           `json:"settle_type"`
	InvoiceCate    []SelectData           `json:"invoice_cate"`
}

type SettleCenterDataDetail struct {
	TimeStr      string  `json:"time_str" example:"业务时间"`
	BusinessKind string  `json:"business_kind" example:"业务类型(1:广告合作)"`
	SettleFile   string  `json:"settle_file" example:"结算单"`
	Invoice      Invoice `json:"invoice"`
	AllIncome    string  `json:"all_income" example:"合计收益"`
	MediumIncome string  `json:"medium_income" example:"媒体结算"`
	OtherIncome  string  `json:"other_income" example:"其他调整"`
	PayState     string  `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State        string  `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
}
type Invoice struct {
	Type  string        `json:"type"`
	Time  string        `json:"time"`
	Count string        `json:"count"`
	File  []InvoiceFile `json:"file"`
}
type InvoiceFile struct {
	Url   string `json:"url"`
	State string `json:"state" example:"0待确认 1审核通过 2审核失败"`
}
type SettleFileReq struct {
	Id   string `json:"id" example:"列表id"`
	File string `json:"file" example:"七牛云链接 带http"`
}
type InvoiceReq struct {
	Id   string        `json:"id" example:"列表id"`
	Type string        `json:"type" example:"0电子发票 1纸质发票"`
	File []InvoiceFile `json:"file"`
}
